cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-9710) Switch to JDK 1.8
Date Fri, 06 Jan 2017 19:37:58 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-9710?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15805496#comment-15805496
] 

ASF GitHub Bot commented on CLOUDSTACK-9710:
--------------------------------------------

Github user milamberspace commented on the issue:

    https://github.com/apache/cloudstack/pull/1888
  
    I've try to install this PR on a 2 sample topologies without success:
    * Ubuntu 14.04.5: needs some tweaks to create the .deb packages, and after installing
them, the services don't start because openjdk8 don't exists
    * Ubuntu 16.04.1: building the .deb works (and the systemvm template), but cloudstack-management
don't start because some symbolic links reference tomcat6 (not exists in 16.04) and the tomcat(cloudstack)
config is incorrect (some classpath not found).
    
    This is -1 for this PR with Ubuntu 14.04 and 16.04 (cloudstack debian packages). Trillian
don't tests these distribs?



> Switch to JDK 1.8
> -----------------
>
>                 Key: CLOUDSTACK-9710
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-9710
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>            Reporter: Rohit Yadav
>            Assignee: Rohit Yadav
>             Fix For: Future, 4.10.0.0
>
>
> Switch to using JDK1.8 by default for building and running CloudStack.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message